<?
include("../fnc.php");
enlinea_c();
if(nombre_usuario($txtpara,$txttipousr)=="USUARIO_NO_ENCONTRADO"){
  //alert("Usuario destino inválido","javascript:history.go(-1)");
}
if(!$txtasunto){
  alert("Ingrese un asunto","javascript:history.go(-1)");
}
if(!$txtmensaje){
  alert("Ingrese un mensaje a enviar","javascript:history.go(-1)");
}
switch($txttipousr){
 case "Al": $tipo_usr="Alumno";
 break;
 case "Ca": $tipo_usr="Catedratico";
 break;
 case "Ad": $tipo_usr="Admin";
 break;
 default:
 //alert("Tipo de usuario no válido","javascript:history.go(-1)");
}
$qins=mysql_query("insert into msg_mensajes
                   set para_usuario='$txtpara',
                   asunto='$txtasunto',
                   mensaje='$txtmensaje',
                   fecha='$fechahora',
                   leido='N',
                   tipo_usr='$tipo_usr',
                   de='$uuser'");
if($qins){
  //alert("Mensaje enviado con éxito","mensajes.php");
  if($backurl){
    redireccionar("index2.php?op=$backurl&msg=Mensaje para ".nombre_usuario($txtpara)." enviado!");
  }else{
    redireccionar("inicio.php");
  }
  
}else{
  if($backurl){
    redireccionar("index2.php?op=$backurl&msg=ERROR: El mensaje no vue enviado, intente de nuevo");
  }else{
    redireccionar("inicio.php");
  }
}
?>
